/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.scrm_contact_merge;

insert into  data_api.scrm_contact_merge ( 
	 mergedCustomerId 
	, id 
	, customer_id 
	, date 
	, event 
	, target_name 
	, last_updated 
	, c_name 
	, c_type 
	, contentName 
	, source 
	, tag 
	, c_keyword 
	, attr2 
	,etl_tx_dt
)
select 
	 case when trim(both from mergedCustomerId)='' then null else  mergedCustomerId::text  end  mergedCustomerId 
	, case when trim(both from id)='' then null else  id::text  end  id 
	, case when trim(both from customer_id)='' then null else  customer_id::text  end  customer_id 
	, case when trim(both from date)='' then null else  date::text  end  date 
	, case when trim(both from event)='' then null else  event::text  end  event 
	, case when trim(both from target_name)='' then null else  target_name::text  end  target_name 
	, case when trim(both from last_updated)='' then null else  last_updated::text  end  last_updated 
	, case when trim(both from c_name)='' then null else  c_name::text  end  c_name 
	, case when trim(both from c_type)='' then null else  c_type::text  end  c_type 
	, case when trim(both from contentName)='' then null else  contentName::text  end  contentName 
	, case when trim(both from source)='' then null else  source::text  end  source 
	, case when trim(both from tag)='' then null else  tag::text  end  tag 
	, case when trim(both from c_keyword)='' then null else  c_keyword::text  end  c_keyword 
	, case when trim(both from attr2)='' then null else  attr2::text  end  attr2 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'mergedCustomerId')  mergedCustomerId 
	, (json_array_elements(data::json)::json->>'id')  id 
	, (json_array_elements(data::json)::json->>'customerId')  customer_id 
	, (json_array_elements(data::json)::json->>'date')  date 
	, (json_array_elements(data::json)::json->>'event')  event 
	, (json_array_elements(data::json)::json->>'targetName')  target_name 
	, (json_array_elements(data::json)::json->>'lastUpdated')  last_updated 
	, (json_array_elements(data::json)::json->>'c_name')  c_name 
	, (json_array_elements(data::json)::json->>'c_type')  c_type 
	, (json_array_elements(data::json)::json->>'contentName')  contentName 
	, (json_array_elements(data::json)::json->>'source')  source 
	, (json_array_elements(data::json)::json->>'tag')  tag 
	, (json_array_elements(data::json)::json->>'c_keyword')  c_keyword 
	, (json_array_elements(data::json)::json->>'attr2')  attr2 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='ff5c7bf6-0d18-4201-9501-8fdd6152' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='ff5c7bf6-0d18-4201-9501-8fdd6152';
\q