/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.scrm_contact_lastUpdated;

insert into  data_api.scrm_contact_lastUpdated ( 
	 id 
	, city 
	, company 
	, email 
	, last_updated 
	, mobile 
	, name 
	, province 
	, date_join 
	,etl_tx_dt
)
select 
	 case when trim(both from id)='' then null else  id::text  end  id 
	, case when trim(both from city)='' then null else  city::text  end  city 
	, case when trim(both from company)='' then null else  company::text  end  company 
	, case when trim(both from email)='' then null else  email::text  end  email 
	, case when trim(both from last_updated)='' then null else  last_updated::text  end  last_updated 
	, case when trim(both from mobile)='' then null else  mobile::text  end  mobile 
	, case when trim(both from name)='' then null else  name::text  end  name 
	, case when trim(both from province)='' then null else  province::text  end  province 
	, case when trim(both from date_join)='' then null else  date_join::text  end  date_join 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'id')  id 
	, (json_array_elements(data::json)::json->>'city')  city 
	, (json_array_elements(data::json)::json->>'company')  company 
	, (json_array_elements(data::json)::json->>'email')  email 
	, (json_array_elements(data::json)::json->>'lastUpdated')  last_updated 
	, (json_array_elements(data::json)::json->>'mobile')  mobile 
	, (json_array_elements(data::json)::json->>'name')  name 
	, (json_array_elements(data::json)::json->>'province')  province 
	, (json_array_elements(data::json)::json->>'dateJoin')  date_join 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='03d918ea-00d1-448a-8b9b-6a0b1a33' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='03d918ea-00d1-448a-8b9b-6a0b1a33';
\q