/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.customer_events_add_user;

insert into  data_api.customer_events_add_user ( 
	 id 
	, customer_id 
	, event 
	, source 
	, last_updated 
	, date 
	, attr2 
	, attr1 
	, attr5 
	, attr6 
	, attr7 
	, customer_id_str 
	, external_id 
	, id_str 
	, summary 
	, target_id 
	,etl_tx_dt
)
select 
	 case when trim(both from id)='' then null else  id::text  end  id 
	, case when trim(both from customer_id)='' then null else  customer_id::text  end  customer_id 
	, case when trim(both from event)='' then null else  event::text  end  event 
	, case when trim(both from source)='' then null else  source::text  end  source 
	, case when trim(both from last_updated)='' then null else  last_updated::text  end  last_updated 
	, case when trim(both from date)='' then null else  date::text  end  date 
	, case when trim(both from attr2)='' then null else  attr2::text  end  attr2 
	, case when trim(both from attr1)='' then null else  attr1::text  end  attr1 
	, case when trim(both from attr5)='' then null else  attr5::text  end  attr5 
	, case when trim(both from attr6)='' then null else  attr6::text  end  attr6 
	, case when trim(both from attr7)='' then null else  attr7::text  end  attr7 
	, case when trim(both from customer_id_str)='' then null else  customer_id_str::text  end  customer_id_str 
	, case when trim(both from external_id)='' then null else  external_id::text  end  external_id 
	, case when trim(both from id_str)='' then null else  id_str::text  end  id_str 
	, case when trim(both from summary)='' then null else  summary::text  end  summary 
	, case when trim(both from target_id)='' then null else  target_id::text  end  target_id 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'id')  id 
	, (json_array_elements(data::json)::json->>'customerId')  customer_id 
	, (json_array_elements(data::json)::json->>'event')  event 
	, (json_array_elements(data::json)::json->>'source')  source 
	, (json_array_elements(data::json)::json->>'lastUpdated')  last_updated 
	, (json_array_elements(data::json)::json->>'date')  date 
	, (json_array_elements(data::json)::json->>'attr2')  attr2 
	, (json_array_elements(data::json)::json->>'attr1')  attr1 
	, (json_array_elements(data::json)::json->>'attr5')  attr5 
	, (json_array_elements(data::json)::json->>'attr6')  attr6 
	, (json_array_elements(data::json)::json->>'attr7')  attr7 
	, (json_array_elements(data::json)::json->>'customerIdStr')  customer_id_str 
	, (json_array_elements(data::json)::json->>'externalId')  external_id 
	, (json_array_elements(data::json)::json->>'idStr')  id_str 
	, (json_array_elements(data::json)::json->>'summary')  summary 
	, (json_array_elements(data::json)::json->>'targetId')  target_id 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='d3b5116a-08c3-431f-8d96-9780221b' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='d3b5116a-08c3-431f-8d96-9780221b';
\q