
DROP TABLE IF EXISTS p20_pdm.t01_scrm_contact;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_scrm_contact (
	 scrm_leads_id  VARCHAR(20) 
	, city_name  VARCHAR(20) 
	, company_name  VARCHAR(50) 
	, email  VARCHAR(50) 
	, mobile_number  VARCHAR(20) 
	, full_name  VARCHAR(20) 
	, prov_name  VARCHAR(20) 
	, create_time  timestamp(0) 
	, wechat_id  VARCHAR(100) 
	, update_time  timestamp(0) 
	, etl_batch_no  VARCHAR(50) 
	, etl_first_dt  timestamp(0) 
	, etl_job  VARCHAR(50) 
	, etl_proc_dt  timestamp(0) 
	, etl_tx_dt  timestamp(0) 
	, src_sysname  VARCHAR(50) 
	, src_table  VARCHAR(50) 
	,primary key( scrm_leads_id )
);

 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.scrm_leads_id IS 'SCRM线索ID'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.city_name IS '城市'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.company_name IS '公司'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.email IS '邮箱'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.mobile_number IS '手机号码'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.full_name IS '姓名'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.prov_name IS '省份'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.create_time IS '创建时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.wechat_id IS '身份-企业微信外部联系人'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.update_time IS '更新时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.etl_batch_no IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.etl_first_dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.etl_job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.etl_proc_dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.etl_tx_dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.src_sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact.src_table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t01_scrm_contact IS 'SCRM联系方式';