
DROP TABLE IF EXISTS p20_pdm.t01_scrm_contact_update;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_scrm_contact_update (
	 scrm_leads_id  VARCHAR(30) 
	, city_name  VARCHAR(50) 
	, company_name  VARCHAR(50) 
	, email  VARCHAR(50) 
	, mobile_number  VARCHAR(20) 
	, full_name  VARCHAR(20) 
	, prov_name  VARCHAR(50) 
	, create_time  timestamp(0) 
	, wechat_id  VARCHAR(50) 
	, update_time  timestamp(0) 
	, etl_batch_no  VARCHAR(50) 
	, etl_first_dt  timestamp(0) 
	, etl_job  VARCHAR(50) 
	, etl_proc_dt  timestamp(0) 
	, etl_tx_dt  timestamp(0) 
	, src_sysname  VARCHAR(50) 
	, src_table  VARCHAR(50) 
	,primary key( scrm_leads_id,update_time )
);

 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.scrm_leads_id IS '线索ID'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.city_name IS '城市'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.company_name IS '公司'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.email IS '邮箱'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.mobile_number IS '手机号码'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.full_name IS '姓名'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.prov_name IS '省份'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.create_time IS '创建时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.wechat_id IS '身份-企业微信外部联系人'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.update_time IS '更新时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.etl_batch_no IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.etl_first_dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.etl_job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.etl_proc_dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.etl_tx_dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.src_sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_contact_update.src_table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t01_scrm_contact_update IS 'SCRM联系方式变更';