
DROP TABLE IF EXISTS p20_pdm.T01_CRM_CCP_TYPE;
CREATE TABLE IF NOT EXISTS p20_pdm.T01_CRM_CCP_TYPE (
	 ccp_id  varchar(50) 
	, ccp_value  varchar(100) 
	, ccp_type  varchar(30) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(50) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( ccp_id )
);

 COMMENT ON COLUMN p20_pdm.T01_CRM_CCP_TYPE.ccp_id IS 'CCP编号'; 
 COMMENT ON COLUMN p20_pdm.T01_CRM_CCP_TYPE.ccp_value IS 'CCP值'; 
 COMMENT ON COLUMN p20_pdm.T01_CRM_CCP_TYPE.ccp_type IS 'CCP类型'; 
 COMMENT ON COLUMN p20_pdm.T01_CRM_CCP_TYPE.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.T01_CRM_CCP_TYPE.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.T01_CRM_CCP_TYPE.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.T01_CRM_CCP_TYPE.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.T01_CRM_CCP_TYPE.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.T01_CRM_CCP_TYPE.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.T01_CRM_CCP_TYPE.Src_Table IS '来源表'; 

COMMENT ON TABLE p20_pdm.T01_CRM_CCP_TYPE IS 'CRM_CCP分类';