
DROP TABLE IF EXISTS p60_mart.d_test;
CREATE TABLE IF NOT EXISTS p60_mart.d_test (
	 contact_id  VARCHAR(50) 
	, user_id  VARCHAR(50) 
	, crm_contact  text 
	, scrm_contact  text 
	, email  VARCHAR(50) 
	, livechat_contact  text 
	, udesk_contact  text 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(50) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	
);

 COMMENT ON COLUMN p60_mart.d_test.contact_id IS '联系人编号'; 
 COMMENT ON COLUMN p60_mart.d_test.user_id IS '联系人联系方式'; 
 COMMENT ON COLUMN p60_mart.d_test.crm_contact IS 'CRM联系'; 
 COMMENT ON COLUMN p60_mart.d_test.scrm_contact IS 'SCRM联系'; 
 COMMENT ON COLUMN p60_mart.d_test.email IS '邮箱'; 
 COMMENT ON COLUMN p60_mart.d_test.livechat_contact IS 'Livechat联系'; 
 COMMENT ON COLUMN p60_mart.d_test.udesk_contact IS 'Udesk联系'; 
 COMMENT ON COLUMN p60_mart.d_test.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p60_mart.d_test.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p60_mart.d_test.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p60_mart.d_test.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p60_mart.d_test.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p60_mart.d_test.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p60_mart.d_test.Src_Table IS '来源表'; 

COMMENT ON TABLE p60_mart.d_test IS 't1';