
DROP TABLE IF EXISTS p20_pdm.t00_china_city_info;
CREATE TABLE IF NOT EXISTS p20_pdm.t00_china_city_info (
	 prov_name  varchar(20) 
	, prov_en  varchar(20) 
	, city_name  varchar(20) 
	, city_en  varchar(20) 
	, city_name2  varchar(20) 
	, city_en2  varchar(20) 
	, postalcode  varchar(20) 
	, area_code  varchar(20) 
	, area  varchar(20) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(50) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( postalcode )
);

 COMMENT ON COLUMN p20_pdm.t00_china_city_info.prov_name IS '省份'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.prov_en IS 'province'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.city_name IS '城市'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.city_en IS 'City'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.city_name2 IS '城市2'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.city_en2 IS 'City2'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.postalcode IS '邮编/postalcode'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.area_code IS '区号/area code'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.area IS '区域'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t00_china_city_info.Src_Table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t00_china_city_info IS '中国城市信息';