/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.custom_events_activity_submit;

insert into  data_api.custom_events_activity_submit ( 
	 id 
	, customer_id 
	, event 
	, source 
	, target_name 
	, last_updated 
	, content_name 
	, date 
	, attr1 
	, customer_id_str 
	, external_id 
	, id_str 
	, page_id 
	, target_id 
	,etl_tx_dt
)
select 
	 case when trim(both from id)='' then null else  id::text  end  id 
	, case when trim(both from customer_id)='' then null else  customer_id::text  end  customer_id 
	, case when trim(both from event)='' then null else  event::text  end  event 
	, case when trim(both from source)='' then null else  source::text  end  source 
	, case when trim(both from target_name)='' then null else  target_name::text  end  target_name 
	, case when trim(both from last_updated)='' then null else  last_updated::text  end  last_updated 
	, case when trim(both from content_name)='' then null else  content_name::text  end  content_name 
	, case when trim(both from date)='' then null else  date::text  end  date 
	, case when trim(both from attr1)='' then null else  attr1::text  end  attr1 
	, case when trim(both from customer_id_str)='' then null else  customer_id_str::text  end  customer_id_str 
	, case when trim(both from external_id)='' then null else  external_id::text  end  external_id 
	, case when trim(both from id_str)='' then null else  id_str::text  end  id_str 
	, case when trim(both from page_id)='' then null else  page_id::text  end  page_id 
	, case when trim(both from target_id)='' then null else  target_id::text  end  target_id 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'id')  id 
	, (json_array_elements(data::json)::json->>'customerId')  customer_id 
	, (json_array_elements(data::json)::json->>'event')  event 
	, (json_array_elements(data::json)::json->>'source')  source 
	, (json_array_elements(data::json)::json->>'targetName')  target_name 
	, (json_array_elements(data::json)::json->>'lastUpdated')  last_updated 
	, (json_array_elements(data::json)::json->>'contentName')  content_name 
	, (json_array_elements(data::json)::json->>'date')  date 
	, (json_array_elements(data::json)::json->>'attr1')  attr1 
	, (json_array_elements(data::json)::json->>'customerIdStr')  customer_id_str 
	, (json_array_elements(data::json)::json->>'externalId')  external_id 
	, (json_array_elements(data::json)::json->>'idStr')  id_str 
	, (json_array_elements(data::json)::json->>'pageId')  page_id 
	, (json_array_elements(data::json)::json->>'targetId')  target_id 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='6229a6c5-c504-4723-85a6-f7471216' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='6229a6c5-c504-4723-85a6-f7471216';
\q