/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.customer_events_subscribe;

insert into  data_api.customer_events_subscribe ( 
	 id 
	, customer_id 
	, event 
	, last_updated 
	, date 
	, target_name 
	, channel_account 
	, customer_id_str 
	, external_id 
	, id_str 
	, score 
	, target_id 
	,etl_tx_dt
)
select 
	 case when trim(both from id)='' then null else  id::text  end  id 
	, case when trim(both from customer_id)='' then null else  customer_id::text  end  customer_id 
	, case when trim(both from event)='' then null else  event::text  end  event 
	, case when trim(both from last_updated)='' then null else  last_updated::text  end  last_updated 
	, case when trim(both from date)='' then null else  date::text  end  date 
	, case when trim(both from target_name)='' then null else  target_name::text  end  target_name 
	, case when trim(both from channel_account)='' then null else  channel_account::text  end  channel_account 
	, case when trim(both from customer_id_str)='' then null else  customer_id_str::text  end  customer_id_str 
	, case when trim(both from external_id)='' then null else  external_id::text  end  external_id 
	, case when trim(both from id_str)='' then null else  id_str::text  end  id_str 
	, case when trim(both from score)='' then null else  score::text  end  score 
	, case when trim(both from target_id)='' then null else  target_id::text  end  target_id 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'id')  id 
	, (json_array_elements(data::json)::json->>'customerId')  customer_id 
	, (json_array_elements(data::json)::json->>'event')  event 
	, (json_array_elements(data::json)::json->>'lastUpdated')  last_updated 
	, (json_array_elements(data::json)::json->>'date')  date 
	, (json_array_elements(data::json)::json->>'targetName')  target_name 
	, (json_array_elements(data::json)::json->>'channelAccount')  channel_account 
	, (json_array_elements(data::json)::json->>'customerIdStr')  customer_id_str 
	, (json_array_elements(data::json)::json->>'externalId')  external_id 
	, (json_array_elements(data::json)::json->>'idStr')  id_str 
	, (json_array_elements(data::json)::json->>'score')  score 
	, (json_array_elements(data::json)::json->>'targetId')  target_id 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='36308871-eea2-49b0-8268-03ab68e3' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='36308871-eea2-49b0-8268-03ab68e3';
\q