/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.customer_event_meta;

insert into  data_api.customer_event_meta ( 
	 group_name 
	, group_label 
	, events 
	,etl_tx_dt
)
select 
	 case when trim(both from group_name)='' then null else  group_name::text  end  group_name 
	, case when trim(both from group_label)='' then null else  group_label::text  end  group_label 
	, case when trim(both from events)='' then null else  events::text  end  events 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'groupName')  group_name 
	, (json_array_elements(data::json)::json->>'groupLabel')  group_label 
	, (json_array_elements(data::json)::json->>'events')  events 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='057169de-4aa7-4f73-8894-221b4fd0' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='057169de-4aa7-4f73-8894-221b4fd0';
\q