
DROP TABLE IF EXISTS p20_pdm.t01_scrm_leads;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_scrm_leads (
	 customer_id  VARCHAR(30) 
	, date  timestamp(0) 
	, target_name  VARCHAR(30) 
	, c_name  VARCHAR(30) 
	, c_type  VARCHAR(30) 
	, content_name  VARCHAR(30) 
	, source  VARCHAR(50) 
	, tag  VARCHAR(30) 
	, c_keyword  VARCHAR(30) 
	, attr2  VARCHAR(30) 
	, label  VARCHAR(30) 
	, group_label  VARCHAR(30) 
	, etl_batch_no  VARCHAR(50) 
	, etl_first_dt  timestamp(0) 
	, etl_job  VARCHAR(50) 
	, etl_proc_dt  timestamp(0) 
	, etl_tx_dt  timestamp(0) 
	, src_sysname  VARCHAR(50) 
	, src_table  VARCHAR(50) 
	,primary key( customer_id,date )
);

 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.customer_id IS 'customerId'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.date IS 'date'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.target_name IS 'targetName'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.c_name IS 'c_name'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.c_type IS 'c_type'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.content_name IS 'contentName'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.source IS 'source'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.tag IS 'tag'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.c_keyword IS 'c_keyword'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.attr2 IS 'attr2'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.label IS 'label'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.group_label IS 'groupLabel'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.etl_batch_no IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.etl_first_dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.etl_job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.etl_proc_dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.etl_tx_dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.src_sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_scrm_leads.src_table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t01_scrm_leads IS 'SCRM线索';