
DROP TABLE IF EXISTS p20_pdm.t01_crm_cust_ccp;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_crm_cust_ccp (
	 crm_contact_account  varchar(20) 
	, create_time  timestamp(0) 
	, ccp_value  varchar(50) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(50) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( crm_contact_account,ccp_value )
);

 COMMENT ON COLUMN p20_pdm.t01_crm_cust_ccp.crm_contact_account IS 'CRM_CONTACT账号'; 
 COMMENT ON COLUMN p20_pdm.t01_crm_cust_ccp.create_time IS '创建时间'; 
 COMMENT ON COLUMN p20_pdm.t01_crm_cust_ccp.ccp_value IS 'ccp值'; 
 COMMENT ON COLUMN p20_pdm.t01_crm_cust_ccp.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t01_crm_cust_ccp.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_crm_cust_ccp.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_crm_cust_ccp.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_crm_cust_ccp.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_crm_cust_ccp.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_crm_cust_ccp.Src_Table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t01_crm_cust_ccp IS 'CRM客户CCP';