
create table if not exists p10_sa.S98_S_country_cde (
	 country_cn_name  TEXT 
	, country_en_name  TEXT 
	, country_cd  TEXT 
	, country_abbr  TEXT 
	, country_number  TEXT 
	, inter_tel_cd  TEXT 
	, internet_name  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_country_cde.country_cn_name IS '国家'; 
 COMMENT ON COLUMN p10_sa.S98_S_country_cde.country_en_name IS '国家英文名'; 
 COMMENT ON COLUMN p10_sa.S98_S_country_cde.country_cd IS '国家代码'; 
 COMMENT ON COLUMN p10_sa.S98_S_country_cde.country_abbr IS '国家缩写'; 
 COMMENT ON COLUMN p10_sa.S98_S_country_cde.country_number IS '数字代码'; 
 COMMENT ON COLUMN p10_sa.S98_S_country_cde.inter_tel_cd IS '国际区号'; 
 COMMENT ON COLUMN p10_sa.S98_S_country_cde.internet_name IS '域名'; 
 COMMENT ON COLUMN p10_sa.S98_S_country_cde.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_country_cde IS '';



create table if not exists p12_sfull.S98_S_country_cde (
	 country_cn_name  TEXT 
	, country_en_name  TEXT 
	, country_cd  TEXT 
	, country_abbr  TEXT 
	, country_number  TEXT 
	, inter_tel_cd  TEXT 
	, internet_name  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_country_cde.country_cn_name IS '国家'; 
 COMMENT ON COLUMN p12_sfull.S98_S_country_cde.country_en_name IS '国家英文名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_country_cde.country_cd IS '国家代码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_country_cde.country_abbr IS '国家缩写'; 
 COMMENT ON COLUMN p12_sfull.S98_S_country_cde.country_number IS '数字代码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_country_cde.inter_tel_cd IS '国际区号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_country_cde.internet_name IS '域名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_country_cde.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_country_cde IS '';

