
DROP TABLE IF EXISTS p30_common.d_udesk_contact;
CREATE TABLE IF NOT EXISTS p30_common.d_udesk_contact (
	 udesk_contact  VARCHAR(50) 
	, full_name  VARCHAR(20) 
	, mobile_phone  VARCHAR(20) 
	, prov_name  text 
	, city_name  text 
	, company_name  VARCHAR(20) 
	, responsible_group  VARCHAR(20) 
	, blacklist  VARCHAR(20) 
	, inquiry_content  text 
	,primary key( udesk_contact )
);

 COMMENT ON COLUMN p30_common.d_udesk_contact.udesk_contact IS 'Udesk编号'; 
 COMMENT ON COLUMN p30_common.d_udesk_contact.full_name IS '姓名'; 
 COMMENT ON COLUMN p30_common.d_udesk_contact.mobile_phone IS '手机号'; 
 COMMENT ON COLUMN p30_common.d_udesk_contact.prov_name IS '省份'; 
 COMMENT ON COLUMN p30_common.d_udesk_contact.city_name IS '城市'; 
 COMMENT ON COLUMN p30_common.d_udesk_contact.company_name IS '公司'; 
 COMMENT ON COLUMN p30_common.d_udesk_contact.responsible_group IS '责任组'; 
 COMMENT ON COLUMN p30_common.d_udesk_contact.blacklist IS '黑名单'; 
 COMMENT ON COLUMN p30_common.d_udesk_contact.inquiry_content IS '资讯信息'; 

COMMENT ON TABLE p30_common.d_udesk_contact IS 'Udesk联系信息';