
create table if not exists p10_sa.S98_S_livechat (
	 conference_id  TEXT 
	, chat_creation_date  TEXT 
	, chat_start_date  TEXT 
	, chat_start_url  TEXT 
	, referrer  TEXT 
	, chat_duration  TEXT 
	, queue_duration  TEXT 
	, visitor_livechat_id  TEXT 
	, visitor_nick  TEXT 
	, visitor_ip  TEXT 
	, visitor_email  TEXT 
	, last_operator_id  TEXT 
	, group_id  TEXT 
	, group_name  TEXT 
	, rate  TEXT 
	, last_rate_comment  TEXT 
	, operator_1_nick  TEXT 
	, operator_2_nick  TEXT 
	, operator_3_nick  TEXT 
	, operator_4_nick  TEXT 
	, operator_5_nick  TEXT 
	, operator_6_nick  TEXT 
	, operator_7_nick  TEXT 
	, operator_8_nick  TEXT 
	, operator_9_nick  TEXT 
	, operator_10_nick  TEXT 
	, operator_11_nick  TEXT 
	, operator_1_id  TEXT 
	, operator_2_id  TEXT 
	, operator_3_id  TEXT 
	, operator_4_id  TEXT 
	, operator_5_id  TEXT 
	, operator_6_id  TEXT 
	, operator_7_id  TEXT 
	, operator_8_id  TEXT 
	, operator_9_id  TEXT 
	, operator_10_id  TEXT 
	, operator_11_id  TEXT 
	, operator_1_time_zone  TEXT 
	, operator_2_time_zone  TEXT 
	, operator_3_time_zone  TEXT 
	, operator_4_time_zone  TEXT 
	, operator_5_time_zone  TEXT 
	, operator_6_time_zone  TEXT 
	, operator_7_time_zone  TEXT 
	, operator_8_time_zone  TEXT 
	, operator_9_time_zone  TEXT 
	, operator_10_time_zone  TEXT 
	, operator_11_time_zone  TEXT 
	, pre_chat_service  TEXT 
	, pre_chat_name  TEXT 
	, pre_chat_contact  TEXT 
	, pre_chat_email  TEXT 
	, pre_chat_company  TEXT 
	, pre_chat_service_t  TEXT 
	, pre_chat_email_t  TEXT 
	, pre_chat_contact_t  TEXT 
	, pre_chat_company_t  TEXT 
	, pre_chat_name_j  TEXT 
	, pre_chat_email_j  TEXT 
	, pre_chat_private_policy  TEXT 
	, pre_chat_know_policy  TEXT 
	, pre_chat_agree_policy  TEXT 
	, pre_chat_agree_policy_k  TEXT 
	, pre_chat_agree_for_sale  TEXT 
	, pre_chat_company_k  TEXT 
	, pre_chat_name_k  TEXT 
	, pre_chat_contact_k  TEXT 
	, pre_chat_email_k  TEXT 
	, pre_chat_service_k  TEXT 
	, pre_chat_contact_2  TEXT 
	, pre_chat_contact_3  TEXT 
	, post_chat_first  TEXT 
	, post_chat_where_chat  TEXT 
	, post_chat_help  TEXT 
	, post_chat_where_2  TEXT 
	, post_chat_first_j  TEXT 
	, post_chat_help_j  TEXT 
	, post_chat_message_j  TEXT 
	, auto_invite_url  TEXT 
	, auto_invite_action  TEXT 
	, goal_action_name  TEXT 
	, goal_done_by  TEXT 
	, goal_done_date  TEXT 
	, tag_1  TEXT 
	, tag_2  TEXT 
	, tag_3  TEXT 
	, tag_4  TEXT 
	, tag_5  TEXT 
	, cust_var_1_name  TEXT 
	, cust_var_1_value  TEXT 
	, first_response_time  TEXT 
	, average_response_time  TEXT 
	, agents_chatting_duration  TEXT 
	, visitor_user_agent  TEXT 
	, group_status_at_start  TEXT 
	, visitor_country_code  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_livechat.conference_id IS 'conferenceId'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.chat_creation_date IS 'chat_creation_date'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.chat_start_date IS 'chat_start_date'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.chat_start_url IS 'chat_start_url'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.referrer IS 'referrer'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.chat_duration IS 'chat_duration'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.queue_duration IS 'queue_duration'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.visitor_livechat_id IS 'visitor_livechat_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.visitor_nick IS 'visitor_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.visitor_ip IS 'visitor_ip'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.visitor_email IS 'visitor_email'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.last_operator_id IS 'last_operator_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.group_id IS 'group_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.group_name IS 'group_name'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.rate IS 'rate'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.last_rate_comment IS 'last_rate_comment'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_1_nick IS 'operator_1_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_2_nick IS 'operator_2_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_3_nick IS 'operator_3_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_4_nick IS 'operator_4_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_5_nick IS 'operator_5_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_6_nick IS 'operator_6_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_7_nick IS 'operator_7_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_8_nick IS 'operator_8_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_9_nick IS 'operator_9_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_10_nick IS 'operator_10_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_11_nick IS 'operator_11_nick'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_1_id IS 'operator_1_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_2_id IS 'operator_2_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_3_id IS 'operator_3_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_4_id IS 'operator_4_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_5_id IS 'operator_5_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_6_id IS 'operator_6_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_7_id IS 'operator_7_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_8_id IS 'operator_8_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_9_id IS 'operator_9_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_10_id IS 'operator_10_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_11_id IS 'operator_11_id'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_1_time_zone IS 'operator_1_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_2_time_zone IS 'operator_2_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_3_time_zone IS 'operator_3_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_4_time_zone IS 'operator_4_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_5_time_zone IS 'operator_5_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_6_time_zone IS 'operator_6_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_7_time_zone IS 'operator_7_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_8_time_zone IS 'operator_8_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_9_time_zone IS 'operator_9_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_10_time_zone IS 'operator_10_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.operator_11_time_zone IS 'operator_11_time_zone'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_service IS 'pre_chat_service'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_name IS 'pre_chat_name'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_contact IS 'pre_chat_contact'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_email IS 'pre_chat_email'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_company IS 'pre_chat_company'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_service_t IS 'pre_chat_service_t'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_email_t IS 'pre_chat_email_t'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_contact_t IS 'pre_chat_contact_t'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_company_t IS 'pre_chat_company_t'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_name_j IS 'pre_chat_name_j'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_email_j IS 'pre_chat_email_j'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_private_policy IS 'pre_chat_private_policy'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_know_policy IS 'pre_chat_know_policy'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_agree_policy IS 'pre_chat_agree_policy'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_agree_policy_k IS 'pre_chat_agree_policy_k'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_agree_for_sale IS 'pre_chat_agree_for_sale'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_company_k IS 'pre_chat_company_k'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_name_k IS 'pre_chat_name_k'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_contact_k IS 'pre_chat_contact_k'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_email_k IS 'pre_chat_email_k'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_service_k IS 'pre_chat_service_k'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_contact_2 IS 'pre_chat_contact_2'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.pre_chat_contact_3 IS 'pre_chat_contact_3'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.post_chat_first IS 'post_chat_first'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.post_chat_where_chat IS 'post_chat_where_chat'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.post_chat_help IS 'post_chat_help'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.post_chat_where_2 IS 'post_chat_where_2'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.post_chat_first_j IS 'post_chat_first_j'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.post_chat_help_j IS 'post_chat_help_j'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.post_chat_message_j IS 'post_chat_message_j'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.auto_invite_url IS 'auto_invite_url'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.auto_invite_action IS 'auto_invite_action'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.goal_action_name IS 'goal_action_name'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.goal_done_by IS 'goal_done_by'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.goal_done_date IS 'goal_done_date'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.tag_1 IS 'tag_1'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.tag_2 IS 'tag_2'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.tag_3 IS 'tag_3'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.tag_4 IS 'tag_4'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.tag_5 IS 'tag_5'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.cust_var_1_name IS 'cust_var_1_name'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.cust_var_1_value IS 'cust_var_1_value'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.first_response_time IS 'first_response_time'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.average_response_time IS 'average_response_time'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.agents_chatting_duration IS 'agents_chatting_duration'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.visitor_user_agent IS 'visitor_user_agent'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.group_status_at_start IS 'group_status_at_start'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.visitor_country_code IS 'visitor_country_code'; 
 COMMENT ON COLUMN p10_sa.S98_S_livechat.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_livechat IS '';



create table if not exists p12_sfull.S98_S_livechat (
	 conference_id  TEXT 
	, chat_creation_date  TEXT 
	, chat_start_date  TEXT 
	, chat_start_url  TEXT 
	, referrer  TEXT 
	, chat_duration  TEXT 
	, queue_duration  TEXT 
	, visitor_livechat_id  TEXT 
	, visitor_nick  TEXT 
	, visitor_ip  TEXT 
	, visitor_email  TEXT 
	, last_operator_id  TEXT 
	, group_id  TEXT 
	, group_name  TEXT 
	, rate  TEXT 
	, last_rate_comment  TEXT 
	, operator_1_nick  TEXT 
	, operator_2_nick  TEXT 
	, operator_3_nick  TEXT 
	, operator_4_nick  TEXT 
	, operator_5_nick  TEXT 
	, operator_6_nick  TEXT 
	, operator_7_nick  TEXT 
	, operator_8_nick  TEXT 
	, operator_9_nick  TEXT 
	, operator_10_nick  TEXT 
	, operator_11_nick  TEXT 
	, operator_1_id  TEXT 
	, operator_2_id  TEXT 
	, operator_3_id  TEXT 
	, operator_4_id  TEXT 
	, operator_5_id  TEXT 
	, operator_6_id  TEXT 
	, operator_7_id  TEXT 
	, operator_8_id  TEXT 
	, operator_9_id  TEXT 
	, operator_10_id  TEXT 
	, operator_11_id  TEXT 
	, operator_1_time_zone  TEXT 
	, operator_2_time_zone  TEXT 
	, operator_3_time_zone  TEXT 
	, operator_4_time_zone  TEXT 
	, operator_5_time_zone  TEXT 
	, operator_6_time_zone  TEXT 
	, operator_7_time_zone  TEXT 
	, operator_8_time_zone  TEXT 
	, operator_9_time_zone  TEXT 
	, operator_10_time_zone  TEXT 
	, operator_11_time_zone  TEXT 
	, pre_chat_service  TEXT 
	, pre_chat_name  TEXT 
	, pre_chat_contact  TEXT 
	, pre_chat_email  TEXT 
	, pre_chat_company  TEXT 
	, pre_chat_service_t  TEXT 
	, pre_chat_email_t  TEXT 
	, pre_chat_contact_t  TEXT 
	, pre_chat_company_t  TEXT 
	, pre_chat_name_j  TEXT 
	, pre_chat_email_j  TEXT 
	, pre_chat_private_policy  TEXT 
	, pre_chat_know_policy  TEXT 
	, pre_chat_agree_policy  TEXT 
	, pre_chat_agree_policy_k  TEXT 
	, pre_chat_agree_for_sale  TEXT 
	, pre_chat_company_k  TEXT 
	, pre_chat_name_k  TEXT 
	, pre_chat_contact_k  TEXT 
	, pre_chat_email_k  TEXT 
	, pre_chat_service_k  TEXT 
	, pre_chat_contact_2  TEXT 
	, pre_chat_contact_3  TEXT 
	, post_chat_first  TEXT 
	, post_chat_where_chat  TEXT 
	, post_chat_help  TEXT 
	, post_chat_where_2  TEXT 
	, post_chat_first_j  TEXT 
	, post_chat_help_j  TEXT 
	, post_chat_message_j  TEXT 
	, auto_invite_url  TEXT 
	, auto_invite_action  TEXT 
	, goal_action_name  TEXT 
	, goal_done_by  TEXT 
	, goal_done_date  TEXT 
	, tag_1  TEXT 
	, tag_2  TEXT 
	, tag_3  TEXT 
	, tag_4  TEXT 
	, tag_5  TEXT 
	, cust_var_1_name  TEXT 
	, cust_var_1_value  TEXT 
	, first_response_time  TEXT 
	, average_response_time  TEXT 
	, agents_chatting_duration  TEXT 
	, visitor_user_agent  TEXT 
	, group_status_at_start  TEXT 
	, visitor_country_code  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_livechat.conference_id IS 'conferenceId'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.chat_creation_date IS 'chat_creation_date'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.chat_start_date IS 'chat_start_date'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.chat_start_url IS 'chat_start_url'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.referrer IS 'referrer'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.chat_duration IS 'chat_duration'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.queue_duration IS 'queue_duration'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.visitor_livechat_id IS 'visitor_livechat_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.visitor_nick IS 'visitor_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.visitor_ip IS 'visitor_ip'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.visitor_email IS 'visitor_email'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.last_operator_id IS 'last_operator_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.group_id IS 'group_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.group_name IS 'group_name'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.rate IS 'rate'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.last_rate_comment IS 'last_rate_comment'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_1_nick IS 'operator_1_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_2_nick IS 'operator_2_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_3_nick IS 'operator_3_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_4_nick IS 'operator_4_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_5_nick IS 'operator_5_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_6_nick IS 'operator_6_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_7_nick IS 'operator_7_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_8_nick IS 'operator_8_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_9_nick IS 'operator_9_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_10_nick IS 'operator_10_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_11_nick IS 'operator_11_nick'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_1_id IS 'operator_1_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_2_id IS 'operator_2_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_3_id IS 'operator_3_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_4_id IS 'operator_4_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_5_id IS 'operator_5_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_6_id IS 'operator_6_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_7_id IS 'operator_7_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_8_id IS 'operator_8_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_9_id IS 'operator_9_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_10_id IS 'operator_10_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_11_id IS 'operator_11_id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_1_time_zone IS 'operator_1_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_2_time_zone IS 'operator_2_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_3_time_zone IS 'operator_3_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_4_time_zone IS 'operator_4_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_5_time_zone IS 'operator_5_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_6_time_zone IS 'operator_6_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_7_time_zone IS 'operator_7_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_8_time_zone IS 'operator_8_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_9_time_zone IS 'operator_9_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_10_time_zone IS 'operator_10_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.operator_11_time_zone IS 'operator_11_time_zone'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_service IS 'pre_chat_service'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_name IS 'pre_chat_name'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_contact IS 'pre_chat_contact'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_email IS 'pre_chat_email'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_company IS 'pre_chat_company'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_service_t IS 'pre_chat_service_t'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_email_t IS 'pre_chat_email_t'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_contact_t IS 'pre_chat_contact_t'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_company_t IS 'pre_chat_company_t'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_name_j IS 'pre_chat_name_j'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_email_j IS 'pre_chat_email_j'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_private_policy IS 'pre_chat_private_policy'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_know_policy IS 'pre_chat_know_policy'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_agree_policy IS 'pre_chat_agree_policy'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_agree_policy_k IS 'pre_chat_agree_policy_k'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_agree_for_sale IS 'pre_chat_agree_for_sale'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_company_k IS 'pre_chat_company_k'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_name_k IS 'pre_chat_name_k'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_contact_k IS 'pre_chat_contact_k'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_email_k IS 'pre_chat_email_k'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_service_k IS 'pre_chat_service_k'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_contact_2 IS 'pre_chat_contact_2'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.pre_chat_contact_3 IS 'pre_chat_contact_3'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.post_chat_first IS 'post_chat_first'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.post_chat_where_chat IS 'post_chat_where_chat'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.post_chat_help IS 'post_chat_help'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.post_chat_where_2 IS 'post_chat_where_2'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.post_chat_first_j IS 'post_chat_first_j'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.post_chat_help_j IS 'post_chat_help_j'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.post_chat_message_j IS 'post_chat_message_j'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.auto_invite_url IS 'auto_invite_url'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.auto_invite_action IS 'auto_invite_action'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.goal_action_name IS 'goal_action_name'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.goal_done_by IS 'goal_done_by'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.goal_done_date IS 'goal_done_date'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.tag_1 IS 'tag_1'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.tag_2 IS 'tag_2'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.tag_3 IS 'tag_3'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.tag_4 IS 'tag_4'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.tag_5 IS 'tag_5'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.cust_var_1_name IS 'cust_var_1_name'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.cust_var_1_value IS 'cust_var_1_value'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.first_response_time IS 'first_response_time'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.average_response_time IS 'average_response_time'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.agents_chatting_duration IS 'agents_chatting_duration'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.visitor_user_agent IS 'visitor_user_agent'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.group_status_at_start IS 'group_status_at_start'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.visitor_country_code IS 'visitor_country_code'; 
 COMMENT ON COLUMN p12_sfull.S98_S_livechat.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_livechat IS '';

