
create table if not exists p10_sa.S98_S_udesk_record (
	 record_time  TEXT 
	, duration  TEXT 
	, cust  TEXT 
	, mobile_phone  TEXT 
	, call_result  TEXT 
	, call_origin_location  TEXT 
	, relay_number  TEXT 
	, satisfaction  TEXT 
	, type  TEXT 
	, device_status  TEXT 
	, company_name  TEXT 
	, queue_status  TEXT 
	, queue_time  TEXT 
	, message  TEXT 
	, hung_up  TEXT 
	, responsible_group  TEXT 
	, blacklist  TEXT 
	, inquiry_content  TEXT 
	, icr_record  TEXT 
	, call_id  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.record_time IS '记录时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.duration IS '通话时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.cust IS '客户'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.mobile_phone IS '客户电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.call_result IS '通话结果'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.call_origin_location IS '归属地'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.relay_number IS '中继号'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.satisfaction IS '满意度评价'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.type IS '通话类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.device_status IS '设备状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.company_name IS '公司'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.queue_status IS '排队状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.queue_time IS '排队耗时'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.message IS '留言'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.hung_up IS '通话挂断方'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.responsible_group IS '负责组'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.blacklist IS '是否在黑名单'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.inquiry_content IS '咨询内容'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.icr_record IS 'IVR录音'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.call_id IS 'Call ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_udesk_record.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_udesk_record IS '';



create table if not exists p12_sfull.S98_S_udesk_record (
	 record_time  TEXT 
	, duration  TEXT 
	, cust  TEXT 
	, mobile_phone  TEXT 
	, call_result  TEXT 
	, call_origin_location  TEXT 
	, relay_number  TEXT 
	, satisfaction  TEXT 
	, type  TEXT 
	, device_status  TEXT 
	, company_name  TEXT 
	, queue_status  TEXT 
	, queue_time  TEXT 
	, message  TEXT 
	, hung_up  TEXT 
	, responsible_group  TEXT 
	, blacklist  TEXT 
	, inquiry_content  TEXT 
	, icr_record  TEXT 
	, call_id  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.record_time IS '记录时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.duration IS '通话时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.cust IS '客户'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.mobile_phone IS '客户电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.call_result IS '通话结果'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.call_origin_location IS '归属地'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.relay_number IS '中继号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.satisfaction IS '满意度评价'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.type IS '通话类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.device_status IS '设备状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.company_name IS '公司'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.queue_status IS '排队状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.queue_time IS '排队耗时'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.message IS '留言'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.hung_up IS '通话挂断方'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.responsible_group IS '负责组'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.blacklist IS '是否在黑名单'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.inquiry_content IS '咨询内容'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.icr_record IS 'IVR录音'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.call_id IS 'Call ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_udesk_record.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_udesk_record IS '';

